Clear the cache Technical preview; Added in 7.10.0

POST /_searchable_snapshots/cache/clear

Clear indices and data streams from the shared cache for partially mounted indices.

Required authorization

  • Index privileges: manage
  • Cluster privileges: manage
More about searchable snapshots

Query parameters

  • expand_wildcards string | array[string]

    Whether to expand wildcard expression to concrete indices that are open, closed or both

    Values are all, open, closed, hidden, or none.

  • allow_no_indices boolean

    Whether to ignore if a wildcard indices expression resolves into no concrete indices. (This includes _all string or when no indices have been specified)

  • ignore_unavailable boolean

    Whether specified concrete indices should be ignored when unavailable (missing or closed)

Responses

  • 200 application/json
POST /_searchable_snapshots/cache/clear
curl \
 --request POST 'http://api.example.com/_searchable_snapshots/cache/clear'